#!/bin/bash
let i=1
while [ $i -eq 1 ]
do
  >/dev/tcp/172.17.0.1/3306 && let i=0
  echo "*******************"$i"*********************"
  sleep 5
done

sleep 10

if [ ! -f /root/instalado ]
then
  drush site-install standard -y --site-name="Drupal Guifi" --account-name=admin --account-pass=admin --db-url=mysql://net9:development@172.17.0.1/net9 -vvv

  cd /opt/drupal
  sed -i 's/"stable"/"dev"/g' composer.json

  drush pm:enable action tracker inline_form_errors layout_builder layout_builder media media_library statistics telephone config_translation content_translation basic_auth jsonapi rest serialization

  drush language-add ast
  drush language-add eu
  drush language-add ca
  drush language-add fr
  drush language-add gl
  drush language-add de
  drush language-add el
  drush language-add it
  drush language-add pt-pt
  drush language-add es

  composer require drupal/bootstrap5 
  composer require drupal/admin_toolbar drupal/webform_remote_select drupal/webform_rest drupal/field_group drupal/field_permissions drupal/field_validation drupal/popup_field_group
  composer require drupal/geocoder:* geocoder-php/nominatim-provider drupal/leaflet drupal/geofield drupal/geofield_map drupal/views_bulk_operations drupal/bulk_update_fields drupal/views_data_export drupal/views_conditional -w
  composer require drupal/address drupal/tzfield drupal/conditional_fields drupal/calendar
  composer require drupal/eva drupal/prepopulate drupal/phone_international drupal/taxonomy_manager drupal/auto_entitylabel drupal/inline_entity_form drupal/ief_popup drupal/token drupal/devel
  composer require drupal/css_editor drupal/date_popup drupal/easy_breadcrumb drupal/eck drupal/external_entities drupal/keycloak drupal/openid_connect drupal/smtp drupal/taxonomy_term_revision drupal/views_dates drupal/views_ef_fieldset drupal/views_summarize drupal/views_timestamp_to_date drupal/view_custom_table drupal/views_autocomplete_filters drupal/views_aggregator drupal/pdf_serialization drupal/entity_extra_field
  composer require drupal/hacked drupal/coder drupal/security_review

  drush theme:enable bootstrap5
  drush pm:enable admin_toolbar webform_remote_select webform_rest webform_ui field_group field_permissions field_validation popup_field_group --yes
  drush pm:enable geocoder leaflet leaflet_markercluster leaflet_views geofield geofield_map views_bulk_operations bulk_update_fields views_data_export views_conditional --yes
  drush pm:enable address field_layout tzfield geocoder_field geocoder_address geocoder_geofield conditional_fields calendar --yes 
  drush pm:enable eva prepopulate phone_international taxonomy_manager auto_entitylabel inline_entity_form ief_popup token devel --yes
  drush pm:enable css_editor date_popup easy_breadcrumb eck external_entities keycloak openid_connect smtp taxonomy_term_revision views_dates views_ef_fieldset views_summarize views_timestamp_to_date view_custom_table views_autocomplete_filters views_aggregator pdf_serialization entity_extra_field entity_extra_field_ui --yes
  drush en hacked coder security_review --yes

  cd web/modules
  mkdir custom
  cd custom
  git clone http://gitlab.guifi.net/ramon.roca/drupal9-guifi-networks.git guifi
  drush pm:enable guifi

  touch /root/instalado
fi

/usr/sbin/apache2ctl -D FOREGROUND
